package com.mortals.xhx.module.device.model;

import java.util.List;
import com.mortals.xhx.module.device.model.DeviceModuleEntity;
/**
* 证照柜设备查询对象
*
* @author zxfei
* @date 2022-10-26
*/
public class DeviceModuleQuery extends DeviceModuleEntity {
    /** 开始 序号，主键，自增长 */
    private Long idStart;

    /** 结束 序号，主键，自增长 */
    private Long idEnd;

    /** 增加 序号，主键，自增长 */
    private Long idIncrement;

    /** 序号，主键，自增长列表 */
    private List <Long> idList;

    /** 开始 设备Id */
    private Long deviceIdStart;

    /** 结束 设备Id */
    private Long deviceIdEnd;

    /** 增加 设备Id */
    private Long deviceIdIncrement;

    /** 设备Id列表 */
    private List <Long> deviceIdList;

    /** 设备名称 */
    private List<String> deviceNameList;

    /** 模块名称 */
    private List<String> moduleNameList;

    /** 产品名称 */
    private List<String> productNameList;

    /** 网络地址 */
    private List<String> networkAddressList;

    /** 纸盒 */
    private List<String> cartonTypeList;

    /** 开始 创建用户 */
    private Long createUserIdStart;

    /** 结束 创建用户 */
    private Long createUserIdEnd;

    /** 增加 创建用户 */
    private Long createUserIdIncrement;

    /** 创建用户列表 */
    private List <Long> createUserIdList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新用户 */
    private Long updateUserIdStart;

    /** 结束 更新用户 */
    private Long updateUserIdEnd;

    /** 增加 更新用户 */
    private Long updateUserIdIncrement;

    /** 更新用户列表 */
    private List <Long> updateUserIdList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<DeviceModuleQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<DeviceModuleQuery> andConditionList;

    public DeviceModuleQuery(){}

    /**
    * 获取 开始 序号，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 序号，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 序号，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 序号，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 开始 设备Id
    * @return deviceIdStart
    */
    public Long getDeviceIdStart(){
        return this.deviceIdStart;
    }

    /**
    * 设置 开始 设备Id
    * @param deviceIdStart
    */
    public void setDeviceIdStart(Long deviceIdStart){
        this.deviceIdStart = deviceIdStart;
    }

    /**
    * 获取 结束 设备Id
    * @return $deviceIdEnd
    */
    public Long getDeviceIdEnd(){
        return this.deviceIdEnd;
    }

    /**
    * 设置 结束 设备Id
    * @param deviceIdEnd
    */
    public void setDeviceIdEnd(Long deviceIdEnd){
        this.deviceIdEnd = deviceIdEnd;
    }

    /**
    * 获取 增加 设备Id
    * @return deviceIdIncrement
    */
    public Long getDeviceIdIncrement(){
        return this.deviceIdIncrement;
    }

    /**
    * 设置 增加 设备Id
    * @param deviceIdIncrement
    */
    public void setDeviceIdIncrement(Long deviceIdIncrement){
        this.deviceIdIncrement = deviceIdIncrement;
    }

    /**
    * 获取 设备Id
    * @return deviceIdList
    */
    public List<Long> getDeviceIdList(){
        return this.deviceIdList;
    }

    /**
    * 设置 设备Id
    * @param deviceIdList
    */
    public void setDeviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
    }

    /**
    * 获取 设备名称
    * @return deviceNameList
    */
    public List<String> getDeviceNameList(){
        return this.deviceNameList;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public void setDeviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
    }
    /**
    * 获取 模块名称
    * @return moduleNameList
    */
    public List<String> getModuleNameList(){
        return this.moduleNameList;
    }

    /**
    * 设置 模块名称
    * @param moduleNameList
    */
    public void setModuleNameList(List<String> moduleNameList){
        this.moduleNameList = moduleNameList;
    }
    /**
    * 获取 产品名称
    * @return productNameList
    */
    public List<String> getProductNameList(){
        return this.productNameList;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public void setProductNameList(List<String> productNameList){
        this.productNameList = productNameList;
    }
    /**
    * 获取 网络地址
    * @return networkAddressList
    */
    public List<String> getNetworkAddressList(){
        return this.networkAddressList;
    }

    /**
    * 设置 网络地址
    * @param networkAddressList
    */
    public void setNetworkAddressList(List<String> networkAddressList){
        this.networkAddressList = networkAddressList;
    }
    /**
    * 获取 纸盒
    * @return cartonTypeList
    */
    public List<String> getCartonTypeList(){
        return this.cartonTypeList;
    }

    /**
    * 设置 纸盒
    * @param cartonTypeList
    */
    public void setCartonTypeList(List<String> cartonTypeList){
        this.cartonTypeList = cartonTypeList;
    }
    /**
    * 获取 开始 创建用户
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建用户
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建用户
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建用户
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新用户
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新用户
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新用户
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新用户
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  序号，主键，自增长
    * @param id
    */
    public DeviceModuleQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 序号，主键，自增长
    * @param idStart
    */
    public DeviceModuleQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 序号，主键，自增长
    * @param idEnd
    */
    public DeviceModuleQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 序号，主键，自增长
    * @param idIncrement
    */
    public DeviceModuleQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 序号，主键，自增长
    * @param idList
    */
    public DeviceModuleQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

    /**
    * 设置  设备Id
    * @param deviceId
    */
    public DeviceModuleQuery deviceId(Long deviceId){
	    setDeviceId(deviceId);
		return this;
    }
	
	 /**
    * 设置 开始 设备Id
    * @param deviceIdStart
    */
    public DeviceModuleQuery deviceIdStart(Long deviceIdStart){
		this.deviceIdStart = deviceIdStart;
		return this;
    }

    /**
    * 设置 结束 设备Id
    * @param deviceIdEnd
    */
    public DeviceModuleQuery deviceIdEnd(Long deviceIdEnd){
		this.deviceIdEnd = deviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 设备Id
    * @param deviceIdIncrement
    */
    public DeviceModuleQuery deviceIdIncrement(Long deviceIdIncrement){
		this.deviceIdIncrement = deviceIdIncrement;
		return this;
    }

    /**
    * 设置 设备Id
    * @param deviceIdList
    */
    public DeviceModuleQuery deviceIdList(List<Long> deviceIdList){
        this.deviceIdList = deviceIdList;
		return this;
        }


	/**
    * 设置 设备名称
    * @param deviceName
    */
    public DeviceModuleQuery deviceName(String deviceName){
        setDeviceName(deviceName);
		return this;
    }

    /**
    * 设置 设备名称
    * @param deviceNameList
    */
    public DeviceModuleQuery deviceNameList(List<String> deviceNameList){
        this.deviceNameList = deviceNameList;
		return this;
    }


	/**
    * 设置 模块名称
    * @param moduleName
    */
    public DeviceModuleQuery moduleName(String moduleName){
        setModuleName(moduleName);
		return this;
    }

    /**
    * 设置 模块名称
    * @param moduleNameList
    */
    public DeviceModuleQuery moduleNameList(List<String> moduleNameList){
        this.moduleNameList = moduleNameList;
		return this;
    }


	/**
    * 设置 产品名称
    * @param productName
    */
    public DeviceModuleQuery productName(String productName){
        setProductName(productName);
		return this;
    }

    /**
    * 设置 产品名称
    * @param productNameList
    */
    public DeviceModuleQuery productNameList(List<String> productNameList){
        this.productNameList = productNameList;
		return this;
    }


	/**
    * 设置 网络地址
    * @param networkAddress
    */
    public DeviceModuleQuery networkAddress(String networkAddress){
        setNetworkAddress(networkAddress);
		return this;
    }

    /**
    * 设置 网络地址
    * @param networkAddressList
    */
    public DeviceModuleQuery networkAddressList(List<String> networkAddressList){
        this.networkAddressList = networkAddressList;
		return this;
    }


	/**
    * 设置 纸盒
    * @param cartonType
    */
    public DeviceModuleQuery cartonType(String cartonType){
        setCartonType(cartonType);
		return this;
    }

    /**
    * 设置 纸盒
    * @param cartonTypeList
    */
    public DeviceModuleQuery cartonTypeList(List<String> cartonTypeList){
        this.cartonTypeList = cartonTypeList;
		return this;
    }

    /**
    * 设置  创建用户
    * @param createUserId
    */
    public DeviceModuleQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建用户
    * @param createUserIdStart
    */
    public DeviceModuleQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建用户
    * @param createUserIdEnd
    */
    public DeviceModuleQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建用户
    * @param createUserIdIncrement
    */
    public DeviceModuleQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建用户
    * @param createUserIdList
    */
    public DeviceModuleQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }


    /**
    * 设置  更新用户
    * @param updateUserId
    */
    public DeviceModuleQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新用户
    * @param updateUserIdStart
    */
    public DeviceModuleQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新用户
    * @param updateUserIdEnd
    */
    public DeviceModuleQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新用户
    * @param updateUserIdIncrement
    */
    public DeviceModuleQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新用户
    * @param updateUserIdList
    */
    public DeviceModuleQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<DeviceModuleQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<DeviceModuleQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<DeviceModuleQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<DeviceModuleQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}